GuiCommand: Name: Std ViewFitSelection MenuLocation: View , Standard views , Fit selection Workbenches: All Shortcut: V S SeeAlso: Std_ViewFitAll
Std ViewFitSelection
Description
The Std ViewFitSelection command zooms and pans the camera so that all selected objects fit inside the active 3D view. This command is useful if for some reason objects are beyond the boundaries of the current 3D View or can\'t easily be found using 3D navigation.
Usage
- Select one or more objects.
- There are several ways to invoke the command:
- Press the
Fit selection button.
- Select the View → Standard views →
Fit selection option from the menu.
- Select the
Fit selection option from the 3D view context menu.
- Select the
Fit selection option from the Mini-cube menu of the Navigation Cube.
- Use the keyboard shortcut: V then S.
- Press the
Scripting
See also: Autogenerated API documentation and FreeCAD Scripting Basics.
The SendMsgToActiveView
method of the FreeCADGui object can be used to zoom the active view to fit selection.
import FreeCADGui
FreeCADGui.SendMsgToActiveView("ViewSelection")
⏵ documentation index > Std ViewFitSelection
This page is retrieved from https://github.com/FreeCAD/FreeCAD-documentation/blob/main/wiki/Std_ViewFitSelection.md